Package com.pixelmed.network

## Class NetworkUtilities

- java.lang.Object
- - com.pixelmed.network.NetworkUtilities

-     public class NetworkUtilities
      extends java.lang.Object

  Various static methods helpful for network activities.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `getRandomUnusedPortToListenOnLocally()` |
    `static boolean` | `isPortOnLocalHostResponding​(int port)` |
    `static boolean` | `isPortResponding​(java.lang.String host, int port)` |
    `static boolean` | `isPortResponding​(java.net.InetAddress address, int port)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isPortResponding

          public static boolean isPortResponding​(java.lang.String host,
                                                 int port)

    - #### isPortResponding

          public static boolean isPortResponding​(java.net.InetAddress address,
                                                 int port)

    - #### isPortOnLocalHostResponding

          public static boolean isPortOnLocalHostResponding​(int port)
                                                     throws java.net.UnknownHostException

      Throws:
        `java.net.UnknownHostException`

    - #### getRandomUnusedPortToListenOnLocally

          public static int getRandomUnusedPortToListenOnLocally()
                                                          throws java.net.UnknownHostException

      Throws:
        `java.net.UnknownHostException`